apiVersion: "ryax.tech/v2.0"
kind: Processor
spec:
  id: echo
  human_name: Echo inputs into outputs
  type: python3
  version: "1.8.1"
  description: "Echo all inputs into outputs. For testing purpose!"
  categories:
  - Ryax
  - Developer tools
  - Default Actions
  resources:
    time: 30s
    cpu: 0.1
    memory: 50M
  inputs:
    - help: For testing
      human_name: Test integer
      name: test_int
      type: integer
      optional: true
    - help: For testing
      human_name: Test string
      name: test_str
      type: string
      optional: true
    - help: For testing
      human_name: Test float
      name: test_float
      type: float
      optional: true
    - help: For testing
      human_name: Test password
      name: test_password
      type: password
      default_value: thisIsAPassword
      optional: true
    - help: For testing
      human_name: Test longstring
      name: test_longstring
      type: longstring
      default_value: this is a not so long string...........................................................................
      optional: true
    - help: For testing
      human_name: Test enum
      name: test_enum
      type: enum
      enum_values:
        - toto
        - tata
      default_value: toto
      optional: true
    - help: For testing
      human_name: Test boolean
      name: test_bool
      type: boolean
      default_value: false
      optional: true
    - help: For testing
      human_name: Test file
      name: test_file
      type: file
      optional: true
    - help: For testing
      human_name: Test directory
      name: test_dir
      type: directory
      optional: true
  outputs:
    - help: For testing
      human_name: Test integer
      name: test_int
      type: integer
      optional: true
    - help: For testing
      human_name: Test string
      name: test_str
      type: string
      optional: true
    - help: For testing
      human_name: Test float
      name: test_float
      type: float
      optional: true
    - help: For testing
      human_name: Test password
      name: test_password
      type: password
      optional: true
    - help: For testing
      human_name: Test longstring
      name: test_longstring
      type: longstring
      optional: true
    - help: For testing
      human_name: Test enum
      name: test_enum
      type: enum
      enum_values:
        - toto
        - tata
      optional: true
    - help: For testing
      human_name: Test boolean
      name: test_bool
      type: boolean
      optional: true
    - help: For testing
      human_name: Test file
      name: test_file
      type: file
      optional: true
    - help: For testing
      human_name: Test directory
      name: test_dir
      type: directory
      optional: true
